
OS_UPPERCASE=`uname -s | tr '[:lower:]' '[:upper:]' | sed 's/_.*$//'`
OS_LOWERCASE=`uname -s | tr '[:upper:]' '[:lower:]' | sed 's/_.*$//'`

if test $OS_LOWERCASE = "cygwin" ; then
    OS_UPPERCASE=WINDOWS
    OS_LOWERCASE=windows
fi

package_name="NodeJS"
installed_dir=node-${OS_LOWERCASE}-64bit

full_installed_dir="$PWD/$installed_dir"

if test ! -d "$full_installed_dir" ; then
    echo "" >&2
    echo "In seting up $package_name, did not find directory:" >&2
    echo "  $full_installed_dir" >&2    
    echo "" >&2
    echo "Have you run ./PREPARE-${OS_ALLCAPS}.sh?" >&2    
    echo "Exiting..." >&2    
    echo "" >&2
    return
fi

NODE_HOME="$full_installed_dir"                ; export NODE_HOME

if [ "x$OS_LOWERCASE" = "xwindows" ] ; then
    PATH="$NODE_HOME:$PATH"                    ; export PATH    
else
    NODE_PATH=$full_installed_dir/lib/node_modules ; export NODE_PATH
    PATH="$NODE_HOME/bin:$PATH"                    ; export PATH    
fi

echo + "Set NODE_HOME, NODE_PATH and updated PATH"
